<?php

namespace App\JsonRpc;
interface AuthorityServiceInterface
{
    /**
     * 菜单列表
     * @param array $data
     * @return array
     */
    public function getMenuList(array $data): array;

    /**
     * 获取菜单信息
     * @param array $data
     * @return array
     */
    public function getMenuInfo(array $data): array;

    /**
     * 更新菜单
     * @param array $data
     * @return array
     */
    public function updateMenu(array $data): array;

    /**
     * 删除菜单
     * @param array $data
     * @return array
     */
    public function delMenu(array $data): array;

    /**
     * 创建菜单
     * @param array $data
     * @return array
     */
    public function addMenu(array $data): array;

    /**
     * 获取全部菜单列表
     * @param array $data
     * @return array
     */
    public function getRecursionMenu(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getAllMenuList(array $data): array;
}